'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _base = require('./base');

var _base2 = _interopRequireDefault(_base);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const API = 'https://www.googleapis.com/geolocation/v1/geolocate';

class GoogleGeolocation extends _base2.default {
  constructor(options) {
    super(options);
    if (options) {
      this.key = options.key;
    }
  }

  getRequestSettings(cell) {
    return {
      method: 'POST',
      uri: API,
      qs: {
        key: this.key
      },
      json: {
        considerIp: false,
        cellTowers: [{
          cellId: cell.cid,
          locationAreaCode: cell.lac,
          mobileCountryCode: cell.mcc,
          mobileNetworkCode: cell.mnc
        }]
      }
    };
  }

  validate(body) {
    return !_lodash2.default.has(body, 'error');
  }

  parseLocation(body) {
    return {
      longitude: body.location.lng,
      latitude: body.location.lat,
      accuracy: body.accuracy
    };
  }

  parseError(body) {
    return _lodash2.default.has(body, 'error') ? body.error.errors[0].reason : body;
  }
}
exports.default = GoogleGeolocation;