'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _base = require('./base');

var _base2 = _interopRequireDefault(_base);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const API = 'http://api.haoservice.com/api/getlbs';

class HaoService extends _base2.default {

  constructor(options) {
    super(options);
    if (options) {
      this.key = options.key;
      this.system = options.system;
    }
  }

  getRequestSettings(cell) {
    return {
      uri: API,
      qs: {
        oid: this.oid,
        mcc: cell.mcc,
        mnc: cell.mnc,
        lac: cell.lac,
        cell_id: cell.cid,
        key: this.key,
        type: this.system || 2,
        output: 'json'
      },
      json: true
    };
  }

  validate(body) {
    return body.ErrCode === '0';
  }

  parseLocation(body) {
    return {
      longitude: body.location.longitude,
      latitude: body.location.latitude,
      accuracy: body.location.accuracy,
      address: body.location.addressDescription
    };
  }

  parseError(body) {
    return _lodash2.default.has(body, 'ErrCode') ? body.ErrCode : body;
  }
}
exports.default = HaoService;