'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _googleGeolocation = require('./google-geolocation');

var _googleGeolocation2 = _interopRequireDefault(_googleGeolocation);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const API = 'https://location.services.mozilla.com/v1/geolocate';

class MozillaGeolocation extends _googleGeolocation2.default {
  getRequestSettings(cell) {
    return {
      method: 'POST',
      uri: API,
      qs: {
        key: this.key
      },
      json: {
        considerIp: false,
        cellTowers: [{
          cellId: cell.cid,
          locationAreaCode: cell.lac,
          mobileCountryCode: cell.mcc,
          mobileNetworkCode: cell.mnc
        }]
      }
    };
  }
}
exports.default = MozillaGeolocation;