'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _base = require('./base');

var _base2 = _interopRequireDefault(_base);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const API = 'https://api.mylnikov.org/geolocation/cell';
const API_VERSION = '1.1';

class Mylnikov extends _base2.default {
  getRequestSettings(cell) {
    return {
      uri: API,
      json: true,
      qs: {
        v: API_VERSION,
        data: 'open',
        mcc: cell.mcc,
        mnc: cell.mnc,
        lac: cell.lac,
        cellid: cell.cid
      }
    };
  }

  validate(body) {
    return body.result === 200;
  }

  parseLocation(body) {
    return {
      longitude: body.data.lon,
      latitude: body.data.lat,
      accuracy: body.data.range
    };
  }

  parseError(body) {
    return _lodash2.default.has(body, 'desc') ? body.desc : body;
  }
}
exports.default = Mylnikov;