'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _base = require('./base');

var _base2 = _interopRequireDefault(_base);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const API = 'http://opencellid.org/cell/get';

class OpenCellID extends _base2.default {
  constructor(options) {
    super(options);
    if (options) {
      this.key = options.key;
    }
  }

  getRequestSettings(cell) {
    return {
      uri: API,
      json: true,
      qs: {
        key: this.key,
        mcc: cell.mcc,
        mnc: cell.mnc,
        lac: cell.lac,
        cellid: cell.cid,
        format: 'json'
      }
    };
  }

  validate(body) {
    return !_lodash2.default.has(body, 'error');
  }

  parseLocation(body) {
    return {
      longitude: body.lon,
      latitude: body.lat,
      accuracy: body.range
    };
  }

  parseError(body) {
    return _lodash2.default.has(body, 'error') ? body.error : body;
  }
}
exports.default = OpenCellID;